Subject: [dnsop] DOP #1 Key effectivity definition

From: "Olaf M. Kolkman" <[email-masked]>
Date: Mon, 13 Jun 2005 14:03:35 +0200

Also see thread starting at:
  http://darkwing.uoregon.edu/~llynch/dnsop/msg03465.html

On Wed, 8 Jun 2005 13:03:57 -0400
Edward Lewis <[email-masked]> wrote:

> At 12:42 +0200 6/8/05, Olaf M. Kolkman wrote:
> 
> >>
> >>  #1.2  Time Definitions
> >>
> >>  #   o  "Key effectivity period"
> >>  #         The period which a key pair is expected to be effective.  This
> >>  #         period is defined as the time between the first inception time
> >>  #         stamp and the last expiration date of any signature made with
> >>  #         this key.
> >>  #         The key effectivity period can span multiple signature validity
> >>  #         periods.
> >>
> >>  Can it be discontinuous?  I.e., only on Tuesdays and Thursdays in May?
> >
> >I do not know what the "formal definition" is.
> >
> >But I take it to be that even when signatures made with this key
> >appear with a sig-inception Tuesday 00:00 and sig-expiration Tuesday
> >23:59 and signatures with sig-inception Thursday 00:00 and
> >sig-expiration Thursday 23:59, the Key effectivitiy period would be
> >Tuesday 00:00 to Thursday 23:49.
> >
> >If there is a better way of phrasing this definition as appears now I
> >will need text.
> 
> Formal or not, I think you want the effectivity period to be from 
> first signing to last (useful) time, regardless of discontinuities. 
> It's just simpler.
> 
> Of course, if you are likely to have keys that are in use in a 
> discontinuous manner, you are probably not a conventional 
> administrator.
> 
> >----------------------------------------------------------------------

I propose to modify the original text to read:

1.2  Time Definitions

   o  "Key effectivity period"
         The period which a key pair is expected to be effective.  This
         period is defined as the time between the first inception time
         stamp and the last expiration date of any signature made with
         this key, regardless of discontinuities in the use of the key.
         The key effectivity period can span multiple signature validity
         periods.

(I've added "regardless of discontinuities in the use of the key.").

--Olaf
.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html